The changes documented here consolidate the main changes made from v0.0.58 to v0.0.66.
GET /api/v1/referrals/:referralId now requires requesterIdentifier, institutionIdType, and institutionId as query parameters.DELETE /api/v1/referrals/:referralId now requires institutionIdType and institutionId as query parameters.POST /api/v1/referrals/:referralId/back-to-draft now requires institutionIdType and institutionId in the request body.POST /api/v1/referrals/:referralId/cancel now requires institutionIdType, institutionId, and cancelNote in the request body.POST /api/v1/referrals/:referralId/notes now requires institutionIdType and institutionId in the request body.POST /api/v1/links/upsert now requires requesterIdentifier and institutionIdType in the request body.status field in appointments array in GET /api/v1/referrals/:referralId response has some values renamed:
booked -> schedulednoShow -> no-showtype values to timelineEvents array in GET /api/v1/referrals/:referralId response:
referral.pending-acceptanceappt.actualizedappt.no-showappt.cancellednationality field to POST /api/v1/links/upsert request body.location field to appointments array in GET /api/v1/referrals/:referralId response.isCancellable and coreStatus fields to GET /api/v1/referrals/:referralId response.sender-action-required enum value to the GET /api/v1/institutions/:institutionIdType/:institutionId/referrals status query parameter.offering.specialty and offering.nehrCode fields to GET /api/v1/referrals/:referralId response.label field to links array in GET /api/v1/referrals/:referralId response.status field in the GET /api/v1/referrals/:referralId response is now deprecated in favor of the new coreStatus field and may be removed in the future.dob field in POST /api/v1/links/upsert request body to indicate ISO 8601 format.Referral Lifecycle & Statuses page in the Concepts section:
coreStatus field.Referral Link page in the Concepts section:
Implementation Reference page in the Getting Started section.POST /api/v1/links/upsert using the provided enum values to prefill the referral form and reduce manual entry for the user.isCancellable field in the GET /api/v1/referrals/:referralId response to determine whether to show a cancel option in the UI.coreStatus field in the GET /api/v1/referrals/:referralId response instead of the status field to determine the status to display to the user. The status field contains more granular information that may not be relevant for display purposes.type field in the timelineEvents array in the GET /api/v1/referrals/:referralId response as there may be new event types added in the future. Instead, use the description field to display meaningful information to users without needing to update your system for new event types.sender-action-required enum value for the status query parameter in the GET /api/v1/institutions/:institutionIdType/:institutionId/referrals endpoint to highlight referrals that require action from the user.label field in the links array in the GET /api/v1/referrals/:referralId response as the text on buttons in the UI that redirect users to RefX.